[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug #596351 and a proposal for libjson-ruby

On Tue, 2010-11-16 at 12:34 -0700, Joshua Timberman wrote:
> I am the maintainer of the Ohai package in Debian. Recently a user
> opened a bug against Ohai related to locale setting:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596351
> However, the problem is not actually in Ohai, it lies in the Ruby JSON
> library, libjson-ruby (libjson-ruby1.8). The package in Debian is a
> year old, and the library itself has had a number of bugfixes and
> improvements especially those that help internationalization. I
> propose that the libjson-ruby package be updated for Squeeze before
> release. I updated the packaging in the Ruby Extras repository for the
> current release of the JSON Ruby library (1.4.6):

How large is the diff between what's currently in Squeeze and the new
version you mentioned?  From your description, I suspect it's likely to
be quite large, so we may need to look at isolating particular fixes.



Reply to: